Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005512 [JEDI VCL] 00 JVCL Components minor always 2011-03-10 22:03 2012-09-10 14:15
Reporter windsoft View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005512: TJVDBCalcEdit Property DecimalPlaces AlwaysShown Incompatible with DefaultDisplayFormat
Description The Property DefaultDisplayFormat of component is ",0.##"
but when the property DecimalPlacesAlwaysShown is changed, the DisplayFormat is changed to "0.## 'and '0.00' without a thousands separator.
This has caused problems when editing fields that already have values?? and the DataSet is not in Editing Mode.
Additional Information
Tags No tags attached.
Attached Files zip file icon JVExample.zip [^] (8,741 bytes) 2011-08-07 22:06

- Relationships
related to 0005916resolvedobones Correction of 0005512 create new "bug" 

-  Notes
(0018442)
windsoft (reporter)
2011-03-10 22:06

The Solucion is change JVBaseEdits.pas

function TJvCustomNumEdit.GetEditFormat:String;
begin
  // Alterado WindSoft
  // Result := '0'; <<<--- Only this line changed.
  Result := ',0';
  //
  if FDecimalPlaces > 0 then
    if FDecimalPlacesAlwaysShown then
       Result := Result + '.' + MakeStr('0', FDecimalPlaces)
    else
       Result := Result + '.' + MakeStr('#', FDecimalPlaces);
end;
(0018607)
obones (administrator)
2011-06-07 17:45

Please provide the zipped sources of a sample application showing this
(0018852)
windsoft (reporter)
2011-08-07 22:07

The example is attached.
(0019501)
obones (administrator)
2012-02-23 11:18

Thank you for the demo and the suggestion, this is now fixed in SVN

- Issue History
Date Modified Username Field Change
2011-03-10 22:03 windsoft New Issue
2011-03-10 22:04 windsoft Issue Monitored: windsoft
2011-03-10 22:06 windsoft Note Added: 0018442
2011-06-07 17:45 obones Note Added: 0018607
2011-06-07 17:45 obones Status new => feedback
2011-08-07 22:06 windsoft File Added: JVExample.zip
2011-08-07 22:07 windsoft Note Added: 0018852
2011-09-21 11:59 obones Status feedback => acknowledged
2012-02-23 11:16 obones Status acknowledged => confirmed
2012-02-23 11:18 obones Note Added: 0019501
2012-02-23 11:18 obones Status confirmed => resolved
2012-02-23 11:18 obones Fixed in Version => Daily / SVN
2012-02-23 11:18 obones Resolution open => fixed
2012-02-23 11:18 obones Assigned To => obones
2012-03-23 03:38 acgubamg Issue Monitored: acgubamg
2012-06-27 13:10 Arioch Relationship added related to 0005916
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker